Package com.logicaldoc.core.task

# Class DummyScheduler

java.lang.Object
com.logicaldoc.core.task.DummyScheduler

All Implemented Interfaces:
  `org.quartz.Scheduler`

public class DummyScheduler extends Object implements org.quartz.Scheduler

## Field Summary

### Fields inherited from interface org.quartz.Scheduler

`DEFAULT_FAIL_OVER_GROUP, DEFAULT_GROUP, DEFAULT_RECOVERY_GROUP, FAILED_JOB_ORIGINAL_TRIGGER_FIRETIME_IN_MILLISECONDS, FAILED_JOB_ORIGINAL_TRIGGER_GROUP, FAILED_JOB_ORIGINAL_TRIGGER_NAME, FAILED_JOB_ORIGINAL_TRIGGER_SCHEDULED_FIRETIME_IN_MILLISECONDS`

## Constructor Summary

Constructors
Constructor
Description
`DummyScheduler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addCalendar(String calName, org.quartz.Calendar calendar, boolean replace, boolean updateTriggers)`
`void`
`addJob(org.quartz.JobDetail jobDetail, boolean replace)`
`void`
`addJob(org.quartz.JobDetail jobDetail, boolean replace, boolean storeNonDurableWhileAwaitingScheduling)`
`boolean`
`checkExists(org.quartz.JobKey jobKey)`
`boolean`
`checkExists(org.quartz.TriggerKey triggerKey)`
`void`
`clear()`
`boolean`
`deleteCalendar(String calName)`
`boolean`
`deleteJob(org.quartz.JobKey jobKey)`
`boolean`
`deleteJobs(List<org.quartz.JobKey> jobKeys)`
`org.quartz.Calendar`
`getCalendar(String calName)`
`List<String>`
`getCalendarNames()`
`org.quartz.SchedulerContext`
`getContext()`
`List<org.quartz.JobExecutionContext>`
`getCurrentlyExecutingJobs()`
`org.quartz.JobDetail`
`getJobDetail(org.quartz.JobKey jobKey)`
`List<String>`
`getJobGroupNames()`
`Set<org.quartz.JobKey>`
`getJobKeys(org.quartz.impl.matchers.GroupMatcher<org.quartz.JobKey> matcher)`
`org.quartz.ListenerManager`
`getListenerManager()`
`org.quartz.SchedulerMetaData`
`getMetaData()`
`Set<String>`
`getPausedTriggerGroups()`
`String`
`getSchedulerInstanceId()`
`String`
`getSchedulerName()`
`org.quartz.Trigger`
`getTrigger(org.quartz.TriggerKey triggerKey)`
`List<String>`
`getTriggerGroupNames()`
`Set<org.quartz.TriggerKey>`
`getTriggerKeys(org.quartz.impl.matchers.GroupMatcher<org.quartz.TriggerKey> matcher)`
`List<? extends org.quartz.Trigger>`
`getTriggersOfJob(org.quartz.JobKey jobKey)`
`org.quartz.Trigger.TriggerState`
`getTriggerState(org.quartz.TriggerKey triggerKey)`
`boolean`
`interrupt(String fireInstanceId)`
`boolean`
`interrupt(org.quartz.JobKey jobKey)`
`boolean`
`isInStandbyMode()`
`boolean`
`isShutdown()`
`boolean`
`isStarted()`
`void`
`pauseAll()`
`void`
`pauseJob(org.quartz.JobKey jobKey)`
`void`
`pauseJobs(org.quartz.impl.matchers.GroupMatcher<org.quartz.JobKey> matcher)`
`void`
`pauseTrigger(org.quartz.TriggerKey triggerKey)`
`void`
`pauseTriggers(org.quartz.impl.matchers.GroupMatcher<org.quartz.TriggerKey> matcher)`
`Date`
`rescheduleJob(org.quartz.TriggerKey triggerKey, org.quartz.Trigger newTrigger)`
`void`
`resetTriggerFromErrorState(org.quartz.TriggerKey triggerKey)`
`void`
`resumeAll()`
`void`
`resumeJob(org.quartz.JobKey jobKey)`
`void`
`resumeJobs(org.quartz.impl.matchers.GroupMatcher<org.quartz.JobKey> matcher)`
`void`
`resumeTrigger(org.quartz.TriggerKey triggerKey)`
`void`
`resumeTriggers(org.quartz.impl.matchers.GroupMatcher<org.quartz.TriggerKey> matcher)`
`void`
`scheduleJob(org.quartz.JobDetail jobDetail, Set<? extends org.quartz.Trigger> triggersForJob, boolean replace)`
`Date`
`scheduleJob(org.quartz.JobDetail jobDetail, org.quartz.Trigger trigger)`
`Date`
`scheduleJob(org.quartz.Trigger trigger)`
`void`
`scheduleJobs(Map<org.quartz.JobDetail,Set<? extends org.quartz.Trigger>> triggersAndJobs, boolean replace)`
`void`
`setJobFactory(org.quartz.spi.JobFactory factory)`
`void`
`shutdown()`
`void`
`shutdown(boolean waitForJobsToComplete)`
`void`
`standby()`
`void`
`start()`
`void`
`startDelayed(int seconds)`
`void`
`triggerJob(org.quartz.JobKey jobKey)`
`void`
`triggerJob(org.quartz.JobKey jobKey, org.quartz.JobDataMap data)`
`boolean`
`unscheduleJob(org.quartz.TriggerKey triggerKey)`
`boolean`
`unscheduleJobs(List<org.quartz.TriggerKey> triggerKeys)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DummyScheduler

public DummyScheduler()

## Method Details

### getSchedulerName

public String getSchedulerName() throws org.quartz.SchedulerException

Specified by:
  `getSchedulerName` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### getSchedulerInstanceId

public String getSchedulerInstanceId() throws org.quartz.SchedulerException

Specified by:
  `getSchedulerInstanceId` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### getContext

public org.quartz.SchedulerContext getContext() throws org.quartz.SchedulerException

Specified by:
  `getContext` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### start

public void start() throws org.quartz.SchedulerException

Specified by:
  `start` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### startDelayed

public void startDelayed(int seconds) throws org.quartz.SchedulerException

Specified by:
  `startDelayed` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### isStarted

public boolean isStarted() throws org.quartz.SchedulerException

Specified by:
  `isStarted` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### standby

public void standby() throws org.quartz.SchedulerException

Specified by:
  `standby` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### isInStandbyMode

public boolean isInStandbyMode() throws org.quartz.SchedulerException

Specified by:
  `isInStandbyMode` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### shutdown

public void shutdown() throws org.quartz.SchedulerException

Specified by:
  `shutdown` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### shutdown

public void shutdown(boolean waitForJobsToComplete) throws org.quartz.SchedulerException

Specified by:
  `shutdown` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### isShutdown

public boolean isShutdown() throws org.quartz.SchedulerException

Specified by:
  `isShutdown` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### getMetaData

public org.quartz.SchedulerMetaData getMetaData() throws org.quartz.SchedulerException

Specified by:
  `getMetaData` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### getCurrentlyExecutingJobs

public List<org.quartz.JobExecutionContext> getCurrentlyExecutingJobs() throws org.quartz.SchedulerException

Specified by:
  `getCurrentlyExecutingJobs` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### setJobFactory

public void setJobFactory(org.quartz.spi.JobFactory factory) throws org.quartz.SchedulerException

Specified by:
  `setJobFactory` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### getListenerManager

public org.quartz.ListenerManager getListenerManager() throws org.quartz.SchedulerException

Specified by:
  `getListenerManager` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### scheduleJob

public Date scheduleJob(org.quartz.JobDetail jobDetail, org.quartz.Trigger trigger) throws org.quartz.SchedulerException

Specified by:
  `scheduleJob` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### scheduleJob

public Date scheduleJob(org.quartz.Trigger trigger) throws org.quartz.SchedulerException

Specified by:
  `scheduleJob` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### scheduleJobs

public void scheduleJobs(Map<org.quartz.JobDetail,Set<? extends org.quartz.Trigger>> triggersAndJobs, boolean replace) throws org.quartz.SchedulerException

Specified by:
  `scheduleJobs` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### scheduleJob

public void scheduleJob(org.quartz.JobDetail jobDetail, Set<? extends org.quartz.Trigger> triggersForJob, boolean replace) throws org.quartz.SchedulerException

Specified by:
  `scheduleJob` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### unscheduleJob

public boolean unscheduleJob(org.quartz.TriggerKey triggerKey) throws org.quartz.SchedulerException

Specified by:
  `unscheduleJob` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### unscheduleJobs

public boolean unscheduleJobs(List<org.quartz.TriggerKey> triggerKeys) throws org.quartz.SchedulerException

Specified by:
  `unscheduleJobs` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### rescheduleJob

public Date rescheduleJob(org.quartz.TriggerKey triggerKey, org.quartz.Trigger newTrigger) throws org.quartz.SchedulerException

Specified by:
  `rescheduleJob` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### addJob

public void addJob(org.quartz.JobDetail jobDetail, boolean replace) throws org.quartz.SchedulerException

Specified by:
  `addJob` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### addJob

public void addJob(org.quartz.JobDetail jobDetail, boolean replace, boolean storeNonDurableWhileAwaitingScheduling) throws org.quartz.SchedulerException

Specified by:
  `addJob` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### deleteJob

public boolean deleteJob(org.quartz.JobKey jobKey) throws org.quartz.SchedulerException

Specified by:
  `deleteJob` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### deleteJobs

public boolean deleteJobs(List<org.quartz.JobKey> jobKeys) throws org.quartz.SchedulerException

Specified by:
  `deleteJobs` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### triggerJob

public void triggerJob(org.quartz.JobKey jobKey) throws org.quartz.SchedulerException

Specified by:
  `triggerJob` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### triggerJob

public void triggerJob(org.quartz.JobKey jobKey, org.quartz.JobDataMap data) throws org.quartz.SchedulerException

Specified by:
  `triggerJob` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### pauseJob

public void pauseJob(org.quartz.JobKey jobKey) throws org.quartz.SchedulerException

Specified by:
  `pauseJob` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### pauseJobs

public void pauseJobs(org.quartz.impl.matchers.GroupMatcher<org.quartz.JobKey> matcher) throws org.quartz.SchedulerException

Specified by:
  `pauseJobs` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### pauseTrigger

public void pauseTrigger(org.quartz.TriggerKey triggerKey) throws org.quartz.SchedulerException

Specified by:
  `pauseTrigger` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### pauseTriggers

public void pauseTriggers(org.quartz.impl.matchers.GroupMatcher<org.quartz.TriggerKey> matcher) throws org.quartz.SchedulerException

Specified by:
  `pauseTriggers` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### resumeJob

public void resumeJob(org.quartz.JobKey jobKey) throws org.quartz.SchedulerException

Specified by:
  `resumeJob` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### resumeJobs

public void resumeJobs(org.quartz.impl.matchers.GroupMatcher<org.quartz.JobKey> matcher) throws org.quartz.SchedulerException

Specified by:
  `resumeJobs` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### resumeTrigger

public void resumeTrigger(org.quartz.TriggerKey triggerKey) throws org.quartz.SchedulerException

Specified by:
  `resumeTrigger` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### resumeTriggers

public void resumeTriggers(org.quartz.impl.matchers.GroupMatcher<org.quartz.TriggerKey> matcher) throws org.quartz.SchedulerException

Specified by:
  `resumeTriggers` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### pauseAll

public void pauseAll() throws org.quartz.SchedulerException

Specified by:
  `pauseAll` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### resumeAll

public void resumeAll() throws org.quartz.SchedulerException

Specified by:
  `resumeAll` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### getJobGroupNames

public List<String> getJobGroupNames() throws org.quartz.SchedulerException

Specified by:
  `getJobGroupNames` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### getJobKeys

public Set<org.quartz.JobKey> getJobKeys(org.quartz.impl.matchers.GroupMatcher<org.quartz.JobKey> matcher) throws org.quartz.SchedulerException

Specified by:
  `getJobKeys` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### getTriggersOfJob

public List<? extends org.quartz.Trigger> getTriggersOfJob(org.quartz.JobKey jobKey) throws org.quartz.SchedulerException

Specified by:
  `getTriggersOfJob` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### getTriggerGroupNames

public List<String> getTriggerGroupNames() throws org.quartz.SchedulerException

Specified by:
  `getTriggerGroupNames` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### getTriggerKeys

public Set<org.quartz.TriggerKey> getTriggerKeys(org.quartz.impl.matchers.GroupMatcher<org.quartz.TriggerKey> matcher) throws org.quartz.SchedulerException

Specified by:
  `getTriggerKeys` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### getPausedTriggerGroups

public Set<String> getPausedTriggerGroups() throws org.quartz.SchedulerException

Specified by:
  `getPausedTriggerGroups` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### getJobDetail

public org.quartz.JobDetail getJobDetail(org.quartz.JobKey jobKey) throws org.quartz.SchedulerException

Specified by:
  `getJobDetail` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### getTrigger

public org.quartz.Trigger getTrigger(org.quartz.TriggerKey triggerKey) throws org.quartz.SchedulerException

Specified by:
  `getTrigger` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### getTriggerState

public org.quartz.Trigger.TriggerState getTriggerState(org.quartz.TriggerKey triggerKey) throws org.quartz.SchedulerException

Specified by:
  `getTriggerState` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### resetTriggerFromErrorState

public void resetTriggerFromErrorState(org.quartz.TriggerKey triggerKey) throws org.quartz.SchedulerException

Specified by:
  `resetTriggerFromErrorState` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### addCalendar

public void addCalendar(String calName, org.quartz.Calendar calendar, boolean replace, boolean updateTriggers) throws org.quartz.SchedulerException

Specified by:
  `addCalendar` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### deleteCalendar

public boolean deleteCalendar(String calName) throws org.quartz.SchedulerException

Specified by:
  `deleteCalendar` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### getCalendar

public org.quartz.Calendar getCalendar(String calName) throws org.quartz.SchedulerException

Specified by:
  `getCalendar` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### getCalendarNames

public List<String> getCalendarNames() throws org.quartz.SchedulerException

Specified by:
  `getCalendarNames` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### interrupt

public boolean interrupt(org.quartz.JobKey jobKey) throws org.quartz.UnableToInterruptJobException

Specified by:
  `interrupt` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.UnableToInterruptJobException`

### interrupt

public boolean interrupt(String fireInstanceId) throws org.quartz.UnableToInterruptJobException

Specified by:
  `interrupt` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.UnableToInterruptJobException`

### checkExists

public boolean checkExists(org.quartz.JobKey jobKey) throws org.quartz.SchedulerException

Specified by:
  `checkExists` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### checkExists

public boolean checkExists(org.quartz.TriggerKey triggerKey) throws org.quartz.SchedulerException

Specified by:
  `checkExists` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`

### clear

public void clear() throws org.quartz.SchedulerException

Specified by:
  `clear` in interface `org.quartz.Scheduler`
Throws:
  `org.quartz.SchedulerException`